Package Details: qemacs 0.3.3-4

Git Clone URL: https://aur.archlinux.org/qemacs.git (read-only, click to copy)
Package Base: qemacs
Description: Quick Emacs
Upstream URL: https://bellard.org/qemacs/
Keywords: editor
Licenses: LGPL2.1
Submitter: xyproto
Maintainer: None
Last Packager: xyproto
Votes: 9
Popularity: 0.002459
First Submitted: 2011-05-18 14:23 (UTC)
Last Updated: 2020-10-27 14:39 (UTC)

Dependencies (0)

Required by (0)

Sources (1)

Latest Comments

archdub commented on 2022-08-06 16:11 (UTC) (edited on 2022-08-12 19:26 (UTC) by archdub)

After further investigation, it seems that some of the code may be just 9 years old. More details in my comment in the forum.

https://bbs.archlinux.org/viewtopic.php?pid=2051419#p2051419

archdub commented on 2022-08-04 17:36 (UTC) (edited on 2022-08-06 10:46 (UTC) by archdub)

The sources of this package are probably around 19 years old. Can this package be modified to use sources in the current upstream repo at Github?

https://github.com/qemacs/qemacs

Moreover I installed this 0.3.3 package and played with it for 5 minutes and that was enough to encounter a bug where the screen would not refresh. I would guess that there are other issues with this old source code, there is another one highlighted in a comment below by xyproto on 2020-10-27 13:28.

There is another AUR package, qemacs-cvs, whose sources are 7 years old. In my opinion it would make sense to have a single PKGBUILD for qemacs.

https://aur.archlinux.org/packages/qemacs-cvs

xyproto commented on 2020-10-27 13:28 (UTC)

The editor crashes when I press "æøåæøå", both for the X11 version and for the one compiled only for VT100.